Bug 858061 - Review Request: mingw-qt5-qt3d - Qt5 for Windows - Qt3d component
Review Request: mingw-qt5-qt3d - Qt5 for Windows - Qt3d component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On: 858058 858064 858074
Blocks: 858069
  Show dependency treegraph
 
Reported: 2012-09-17 18:25 EDT by Erik van Pienbroek
Modified: 2013-05-31 23:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-qt5-qtsensors-5.0.0-0.5.git20130510.ceec1eda.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 23:23:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:25:37 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qt3d/mingw-qt5-qt3d.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qt3d-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 19:53:36 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qt3d/mingw-qt5-qt3d.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qt3d-5.0.0-0.2.beta1.git20121111.e4d3ccac.fc19.src.rpm

* Sun Nov 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121111.e4d3ccac
- Update to 20121111 snapshot (rev e4d3ccac)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now
Comment 2 Erik van Pienbroek 2013-05-11 13:13:37 EDT
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qt3d/mingw-qt5-qt3d.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qt3d/5.0.0/0.4.git20130510.0158ce78.fc20/src/mingw-qt5-qt3d-5.0.0-0.4.git20130510.0158ce78.fc20.src.rpm
Koji scratch build: https://koji.vanpienbroek.nl/koji/buildinfo?buildID=138

* Fri May 10 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.4.git20130510.0158ce78
- Update to 20130510 snapshot (rev 0158ce78)

* Sat Jan 12 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.3.git20121111.e4d3ccac
- Fix filelist
Comment 3 greg.hellings 2013-05-20 10:29:36 EDT
$ rpmlint mingw-qt5-qtjsbackend.spec 

$ rpmlint mingw-qt5-qtjsbackend-5.0.1-1.fc19.src.rpm 

$ rpmlint results_mingw-qt5-qtjsbackend/5.0.1/1.fc18/mingw32-qt5-qtjsbackend-5.0.1-1.fc18.noarch.rpm results_mingw-qt5-qtjsbackend/5.0.1/1.fc18/mingw64-qt5-qtjsbackend-5.0.1-1.fc18.noarch.rpm

$ rpm -q --requires mingw32-qt5-qtjsbackend

$ rpm -q --requires mingw64-qt5-qtjsbackend

$ rpm -q --provides mingw32-qt5-qtjsbackend

$ rpm -q --provides mingw64-qt5-qtjsbackend


$ wget --quiet http://releases.qt-project.org/qt5/5.0.1/submodules_tar/qtjsbackend-opensource-src-5.0.1.tar.xz -O - | md5sum
af5ccb9d5ab589df03eb0b12fb5ab4cd  -
$ md5sum qtjsbackend-opensource-src-5.0.1.tar.xzaf5ccb9d5ab589df03eb0b12fb5ab4cd  qtjsbackend-opensource-src-5.0.1.tar.xz
af5ccb9d5ab589df03eb0b12fb5ab4cd  qtjsbackend-opensource-src-5.0.1.tar.xz


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, %mingw_cmake_kde4
    or %mingw_qmake_qt5 to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal
Comment 4 greg.hellings 2013-05-20 10:37:35 EDT
(In reply to greg.hellings from comment #3)
Whoops, submitted the review template instead of the review! Let me try that again...

$ rpmlint *.spec
mingw-qt5-qt3d.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qt3d.spec:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qt3d.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qt3d.spec:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qt3d.spec: W: invalid-url Source0: qt5-qt3d-0158ce78.tar.gz
0 packages and 1 specfiles checked; 0 errors, 5 warnings.

$ rpmlint mingw-qt5-qt3d-5.0.0-0.4.git20130510.0158ce78.fc20.src.rpm 
mingw-qt5-qt3d.src: E: unknown-key GPG#9b393ae8
mingw-qt5-qt3d.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qt3d.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qt3d.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qt3d.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qt3d.src: W: invalid-url Source0: qt5-qt3d-0158ce78.tar.gz
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

$ rpmlint results_mingw-qt5-qt3d/5.0.0/0.4.git20130510.0158ce78.fc18/mingw{32,64}*
mingw32-qt5-qt3d-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qt3d-debuginfo.noarch: E: debuginfo-without-sources
4 packages and 0 specfiles checked; 2 errors, 0 warnings.

$ rpm -q --requires mingw32-qt5-qt3d
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 83
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libglesv2.dll)
mingw32(libstdc++-6.dll)
mingw32(msvcrt.dll)
mingw32(qt53d.dll)
mingw32(qt53dquick.dll)
mingw32(qt5core.dll)
mingw32(qt5gui.dll)
mingw32(qt5network.dll)
mingw32(qt5opengl.dll)
mingw32(qt5qml.dll)
mingw32(qt5quick.dll)
mingw32(qt5widgets.dll)
mingw32(user32.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --requires mingw64-qt5-qt3d
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 83
mingw64(kernel32.dll)
mingw64(libgcc_s_sjlj-1.dll)
mingw64(libglesv2.dll)
mingw64(libstdc++-6.dll)
mingw64(msvcrt.dll)
mingw64(qt53d.dll)
mingw64(qt53dquick.dll)
mingw64(qt5core.dll)
mingw64(qt5gui.dll)
mingw64(qt5network.dll)
mingw64(qt5opengl.dll)
mingw64(qt5qml.dll)
mingw64(qt5quick.dll)
mingw64(qt5widgets.dll)
mingw64(user32.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --provides mingw32-qt5-qt3d
mingw32-qt5-qt3d = 5.0.0-0.4.git20130510.0158ce78.fc18
mingw32(qt53d.dll)
mingw32(qt53dquick.dll)
mingw32(qthreedqmlplugin.dll)

$ rpm -q --provides mingw64-qt5-qt3d
mingw64-qt5-qt3d = 5.0.0-0.4.git20130510.0158ce78.fc18
mingw64(qt53d.dll)
mingw64(qt53dquick.dll)
mingw64(qthreedqmlplugin.dll)


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, %mingw_cmake_kde4
    or %mingw_qmake_qt5 to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal

Passes muster with the same types of scenarios as other Qt5 packages.
Comment 5 Erik van Pienbroek 2013-05-20 11:07:13 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qt3d
Short Description: Qt5 for Windows - Qt3d component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-05-20 11:20:46 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-05-21 13:43:40 EDT
mingw-qt5-qtsensors-5.0.0-0.5.git20130510.ceec1eda.fc19,mingw-qt5-qt3d-5.0.0-0.4.git20130510.0158ce78.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-qt5-qtsensors-5.0.0-0.5.git20130510.ceec1eda.fc19,mingw-qt5-qt3d-5.0.0-0.4.git20130510.0158ce78.fc19
Comment 8 Fedora Update System 2013-05-22 18:40:55 EDT
mingw-qt5-qtsensors-5.0.0-0.5.git20130510.ceec1eda.fc19, mingw-qt5-qt3d-5.0.0-0.4.git20130510.0158ce78.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-05-31 23:23:52 EDT
mingw-qt5-qtsensors-5.0.0-0.5.git20130510.ceec1eda.fc19, mingw-qt5-qt3d-5.0.0-0.4.git20130510.0158ce78.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.